Index: /gsdl/trunk/common-src/packages/gdbm/gdbm-1.8.3/configure.in
===================================================================
--- /gsdl/trunk/common-src/packages/gdbm/gdbm-1.8.3/configure.in	(revision 18344)
+++ /gsdl/trunk/common-src/packages/gdbm/gdbm-1.8.3/configure.in	(revision 18345)
@@ -4,4 +4,9 @@
 AC_CONFIG_SRCDIR([gdbmdefs.h])
 AC_CONFIG_HEADERS([autoconf.h])
+
+dnl get $target_cpu, $target_vendor, and $target_os
+dnl (as well as host_*)
+AC_CANONICAL_SYSTEM
+
 AC_PROG_CC
 AC_PROG_CPP
@@ -10,4 +15,28 @@
 dnl AC_PROG_RANLIB
 dnl AC_C_BIGENDIAN([])
+
+AC_MSG_CHECKING(to see if architecture is 64-bit)
+arch_64bit=no
+case "$host_cpu" in
+x86_64) arch_64bit=yes ;;
+esac
+
+if test "$arch_64bit" = yes; then
+  AC_MSG_RESULT(yes)
+  if test -z "$COMPAT32BITFLAGS" ; then
+    COMPAT32BITFLAGS="-m32"
+    LIBTOOLCOMPAT32BITFLAGS="-Wl,-m32"
+  fi
+else
+  AC_MSG_RESULT(no)
+  if test -z "$COMPAT32BITFLAGS" ; then
+    COMPAT32BITFLAGS=
+    LIBTOOLCOMPAT32BITFLAGS=
+  fi
+fi
+export COMPAT32BITFLAGS
+AC_SUBST(COMPAT32BITFLAGS)
+
+
 AC_C_CONST
 AC_CHECK_HEADERS([stdlib.h string.h sys/file.h unistd.h fcntl.h sys/types.h memory.y])
